# vb(9)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## SYNOPSIS

bas, cls - Visual Basic file

## FILES

hkvb.emf - Visual Basic macro file.

## EXTENSIONS

.bas, .cls

## MAGIC STRINGS

-!- msvb -!-

## DESCRIPTION

The Visual Basic template performs the hilighting of Visual Basic files. The file type is recognised by the standard extension, or by the inclusion of the magic string.

Hilighting

The hilighting features allows components of the language to be differentiated and rendered in different colors.

Auto Layout

The indentation mechanism is enabled which performs automatic layout of the text. restyle-region(3) and restyle-buffer(3) are available to reformat (re-layout) selected sections of the buffer, or the whole buffer, respectively. The default indentation setting is 2.

## SEE ALSO

Supported File Types

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>